import org.acme.keyword.*;

import java.util.Properties;
import java.rmi.*;
import javax.ejb.*;
import javax.rmi.*;
import javax.naming.*;


public class Driver
{

    public static void main( String[] args )
    {
        try {
            InitialContext ctx = new InitialContext( System.getProperties() );
            Object obj = ctx.lookup( "KeywordBean" );
            KeywordHome home = (KeywordHome)
                PortableRemoteObject.narrow( obj,KeywordHome.class );

            Keyword keyword;
            try {
                keyword = home.findByName( "openejb" );
                System.out.println( "Remove: " + keyword.name() +
                                    "-" + keyword.info() );
                keyword.remove();
            }
            catch ( ObjectNotFoundException notFound ) {
                System.out.println( "Create keyword openejb" );
                keyword = home.create( "openejb","an EJB container" );
            }
            catch ( FinderException fe ) {
                fe.printStackTrace();
            }
        }
        catch ( Exception ex ) {
            ex.printStackTrace();
        }
    }

}

/*
 * $Id: Driver.java,v 1.2 2004/03/02 20:54:24 dwight Exp $
 * Copyright 2004, Dwight Shih
 */
